package org.algorithm.test;

import java.util.*;

public class Test {


    public static void main(String[] args) {
        Set<String> result = new HashSet<String>();
        Set<String> set1 = new HashSet<String>() {
            {
                add("王者荣耀");
                add("英雄联盟");
                add("穿越火线");
                add("地下城与勇士");
            }
        };

        Set<String> set2 = new HashSet<String>() {
            {
                add("王者荣耀");
                add("地下城与勇士");
                add("魔兽世界");
            }
        };

        result.clear();
        result.addAll(set1);
        result.retainAll(set2);
        System.out.println("交集：" + result);

        result.clear();
        result.addAll(set1);
        result.removeAll(set2);
        System.out.println("差集：" + result);

        result.clear();
        result.addAll(set1);
        result.addAll(set2);
        System.out.println("并集：" + result);

        List<Integer> aList = new ArrayList<>();
        aList.add(1);
        aList.add(2);
        aList.add(3);
        aList.add(4);
        aList.add(5);
        aList.add(6);

        Iterator<Integer> it = aList.iterator();

        while (it.hasNext()){
            int ll = it.next();
            if (ll % 2 == 0){
                it.remove();
            }
        }
        System.out.println(aList);

        String xx = "I have an apple, I have a pen.";
        System.out.println(xx.indexOf("have", 19));
        System.out.println(xx.substring(19, 22));
    }

}

